%define __libtoolize    /bin/true

Summary:	Mandriva-galaxy
Name:		mandriva-galaxy	
Version:	2008.0
Release:	%mkrel 2
Epoch:		2
License:	GPL
URL:		http://www.mandriva.com/
Group:		System/Configuration/Other

# get the source from our cvs repository (see
# http://www.mandrakelinux.com/en/cvs.php3)
# no extra source or patch are allowed here.
Source:			%name-%version.tar.bz2

BuildRoot:		%_tmppath/%name-%release-root
BuildRequires:	XFree86-devel
BuildRequires:	arts-devel
BuildRequires:	fam-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	qt3-devel
BuildRequires:	zlib-devel
BuildRequires:	intltool

BuildRequires:  autoconf2.5, automake >= 1.7

Group:		Graphical desktop/KDE
Requires:	kdelibs
Obsoletes:	mandrake-galaxy
Provides:	mandrake-galaxy
Obsoletes:  mandrivagalaxy
Provides:   mandrivagalaxy
Obsoletes:  mandrakegalaxy
Provides:  	mandrakegalaxy

%description
This package displays an html file allowing users to launch browsers to
other html pages (Mandriva Web sites or local html documentation) or to
launch Mandriva applications such as the Mandriva Control Center.

%prep

%setup -q

%build
%configure2_5x --enable-final \
		--disable-debug \
		--with-xinerama \
		--disable-rpath

%make

%install
rm -rf %buildroot

%makeinstall_std
# legacy links
(
	cd %buildroot/%_bindir/
	ln -s mandrivagalaxy.real mandrakegalaxy.real
)

(
	cd %buildroot/%_iconsdir/
	ln -s mandrivagalaxy.png mandrakegalaxy.png
)

%find_lang mandrivagalaxy

%clean
rm -fr %buildroot

%files -f mandrivagalaxy.lang
%defattr(-,root,root)
#
%attr(755,root,root) %_bindir/*

%_datadir/autostart/*.desktop
%_datadir/gnome/autostart/*.desktop
%dir %_datadir/mdk/
%dir %_datadir/mdk/mandrivagalaxy/
%_datadir/mdk/mandrivagalaxy/*.html
%_datadir/mdk/mandrivagalaxy/*.png
%attr(755,root,root) %config(noreplace) %{_sysconfdir}/X11/xinit.d/mandriva-galaxy
%_iconsdir/*.png

%_datadir/nautilus/default-desktop/*.desktop
%_datadir/apps/kdesktop/DesktopLinks/*.desktop

%dir %_datadir/mdk/mandrivagalaxy/style/images/
%_datadir/mdk/mandrivagalaxy/style/images/*.png
%_datadir/mdk/mandrivagalaxy/style/*.css
#%_datadir/mdk/mandrivagalaxy/*.js





%changelog
* Wed Oct 03 2007 Anne Nicolas <anne.nicolas@mandriva.com> 2008.0-2mdv2008.0
+ Revision: 95226
- reimport tarball
- delete corrupted tarball
- new tarball for 2008
- fix files section
- new release
- fix permission

* Mon Oct 01 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2:2008.0-1mdv2008.0
+ Revision: 94348
- Move the hand installed files to the package so that they are handle by
  automake
- Rebuild for 2008.0


* Wed Apr 04 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-12mdv2007.1
+ Revision: 150530
- Update page

* Fri Mar 23 2007 Laurent Montel <lmontel@mandriva.com> 2:2007.1-11mdv2007.1
+ Revision: 148338
- Update indexhtml-*.html

* Tue Mar 20 2007 Laurent Montel <lmontel@mandriva.com> 2:2007.1-10mdv2007.1
+ Revision: 147023
- Fix windows size

* Mon Mar 19 2007 Laurent Montel <lmontel@mandriva.com> 2:2007.1-8mdv2007.1
+ Revision: 146520
- Add index-*.html

* Thu Mar 15 2007 Laurent Montel <lmontel@mandriva.com> 2:2007.1-7mdv2007.1
+ Revision: 144172
- Fix font

* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 2:2007.1-6mdv2007.1
+ Revision: 144072
- Add autostart .desktop for GNOME too

* Wed Mar 14 2007 Laurent Montel <lmontel@mandriva.com> 2:2007.1-5mdv2007.1
+ Revision: 143360
- Fix compile under x86_64
- Fix build
- Fix size
- Update index.html
- Import mandriva-galaxy

* Thu Sep 21 2006 Laurent MONTEL <lmontel@mandriva.com> 2007-3
- Remove menu entry

* Tue Sep 19 2006 Pablo Saratxaga <pablo@mandriva.com> 2007-2
- updated translations
- new html file

* Tue May 30 2006 Laurent MONTEL <lmontel@mandriva.com> 2007-1
- Use %%mkrel
- Hide desktop file into new xdg menu

* Tue Feb 28 2006 Laurent MONTEL <lmontel@mandriva.com> 2006-15mdk
- Fix provides/requires

* Sat Oct 01 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-14mdk
- Fix javascript script

* Sat Oct 01 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-13mdk
- Fix accessibility page

* Wed Sep 21 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-12mdk
- Fix icons link

* Thu Sep 15 2005 Frederic Lepied <flepied@mandriva.com> 2006-11mdk
- updated translations

* Tue Sep 13 2005 Frederic Lepied <flepied@mandriva.com> 2006-10mdk
- fixed the inverted test

* Tue Sep 13 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-9mdk
- Oops cvs up => update css

* Tue Sep 13 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-8mdk
- Fix upgrade

* Tue Sep 13 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-7mdk
- Fix size

* Sat Sep 10 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-6mdk
- Update po

* Wed Sep 07 2005 Frederic Lepied <flepied@mandriva.com> 2006-5mdk
- fix startup
- mandriva

* Tue Sep 06 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-4mdk
- Change binary name

* Tue Sep 06 2005 Frederic Lepied <flepied@mandriva.com> 2006-3mdk
- rebuild

* Wed Aug 24 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-2mdk
- Enable javascript

* Thu Aug 04 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-1mdk
- Rename

* Mon Mar 14 2005 Laurent MONTEL <lmontel@mandriva.com> 10.1-8mdk
- Update po file

* Fri Sep 10 2004 David Baudens <baudens@mandriva.com> 10.1-7mdk
- Add missing images (please think to also modify spec when you modify
  something in cvs)

* Fri Aug 27 2004 David Baudens <baudens@mandriva.com> 10.1-6mdk
- Update po files

* Wed Aug 18 2004 Laurent MONTEL <lmontel@mandriva.com> 10.1-5mdk
- Update po file

* Thu Aug 12 2004 Laurent MONTEL <lmontel@mandriva.com> 10.1-4mdk
- Update po file

* Sat Jul 31 2004 Laurent MONTEL <lmontel@mandriva.com> 10.1-3mdk
- Remove requires on xinitrc

* Wed Jul 28 2004 Laurent MONTEL <lmontel@mandriva.com> 10.1-2mdk
- Fix  permission of "mandrivagalaxy" now it launch into each WM

* Tue Jul 27 2004 Laurent MONTEL <lmontel@mandriva.com> 10.1-1mdk
- Update po file

* Tue Jun 29 2004 Laurent MONTEL <lmontel@mandriva.com> 10.0-20mdk
- Fix requires

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandriva.com> 10.0-19mdk
- Fix use automake/autoconf

* Sat Jun 05 2004 <lmontel@n2.mandriva.com> 10.0-18mdk
- Rebuild

* Sat May 22 2004 Laurent MONTEL <lmontel@mandriva.com> 10.0-17mdk
- Add missing buildrequires

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandriva.com> 10.0-16mdk
- Fix mandrakeexpert url in mdkgalaxy-fr

